Package com.google.javascript.rhino

# Class SimpleErrorReporter

java.lang.Object
com.google.javascript.rhino.SimpleErrorReporter

All Implemented Interfaces:
  `ErrorReporter`

public class SimpleErrorReporter extends Object implements ErrorReporter
A simple `ErrorReporter` that collects warnings and errors and makes them accessible via `errors()` and `warnings()`.

## Constructor Summary

Constructors
Constructor
Description
`SimpleErrorReporter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`error(String message, String sourceName, int line, int lineOffset)`
Report an error.
`List<String>`
`errors()`
Returns the list of errors, or `null` if there were none.
`void`
`warning(String message, String sourceName, int line, int lineOffset)`
Report a warning.
`List<String>`
`warnings()`
Returns the list of warnings, or `null` if there were none.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SimpleErrorReporter

public SimpleErrorReporter()

## Method Details

### warning

public void warning(String message, String sourceName, int line, int lineOffset)
Description copied from interface: `ErrorReporter`
Report a warning. The implementing class may choose to ignore the warning if it desires.

Specified by:
  `warning` in interface `ErrorReporter`
Parameters:
  `message` - a String describing the warning
  `sourceName` - a String describing the JavaScript source where the warning occurred; typically a filename or URL
  `line` - the line number associated with the warning
  `lineOffset` - the offset into lineSource where problem was detected

### error

public void error(String message, String sourceName, int line, int lineOffset)
Description copied from interface: `ErrorReporter`
Report an error. The implementing class is free to throw an exception if it desires. If execution has not yet begun, the JavaScript engine is free to find additional errors rather than terminating the translation. It will not execute a script that had errors, however.

Specified by:
  `error` in interface `ErrorReporter`
Parameters:
  `message` - a String describing the error
  `sourceName` - a String describing the JavaScript source where the error occurred; typically a filename or URL
  `line` - the line number associated with the error
  `lineOffset` - the offset into lineSource where problem was detected

### errors

public List<String> errors()
Returns the list of errors, or `null` if there were none.

### warnings

public List<String> warnings()
Returns the list of warnings, or `null` if there were none.